scriptDir = 'scripts'
source(file.path(scriptDir, 'setup.R'))

# configure: error: "ODBC headers sql.h and sqlext.h not found"
# conda install -c r r-rodbc

con = odbcConnect('NZSQL', believeNRows = FALSE)

params = fread(file.path(paramDir, 'analysis_params.csv'))
sqlDropSave(con, 'hughejj1_003_params', params)

assayMetadata = fread(file.path(paramDir, 'assay_metadata.csv'))
sqlDropSave(con, 'hughejj1_003_assay_metadata', assayMetadata)
# The serum assays would have gone online in 9/13/2013.
# The urine assays went online around 10/1/2015.
# min_date for urine assays assumes the assay ids have only been used since 10/1/2015,
# and that earlier measurements are a result of SD date shifting

# assayResultMetadata = fread(file.path(paramDir, 'assay_result_metadata.csv'))
# sqlDropSave(con, 'hughejj1_003_assay_result_metadata', assayResultMetadata)

########################################

tableNames = c('first_visit', 'drug_ingred', 'screen',
               'drug_exposure', 'screen_drug_exp')
tableNames = paste0('hughejj1_003_', tableNames)

for (tableName in tableNames) {
  path = file.path(scriptDir, paste0(tableName, '.sql'))
  q = str_squish(readChar(path, file.info(path)$size))
  sqlDropQuery(con, tableName, q)}

########################################

dScreen = sqlFetchDt(con, 'hughejj1_003_screen')
fwrite(dScreen, file.path(dataDir, 'screen.csv.gz'))

dScreenDrugExp = sqlFetchDt(con, 'hughejj1_003_screen_drug_exp')
fwrite(dScreenDrugExp, file.path(dataDir, 'screen_drug_exp.csv.gz'))
